import pytest

import path_setting
from all_backend_api.pay_request import pay_request
from ids_list import get_ids
from in_common.base_request import BaseRequest


class TestWechatPrepay:
    data = BaseRequest().api_load(path_setting.WECHARTPAYDATA)
    wechart_case, wechart_data = get_ids(data, "wechart_pay")

    @pytest.mark.parametrize("param", wechart_data, ids=wechart_case)
    def test_wechart_prepay(self, param):
        pass
        # r = pay_request().wechat_prepay()
        # print(r)
        # assert r["error"] == param["assert"]

